org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDOFeatureDelta

- All Superinterfaces:
    CDOFeatureDelta

      public interface InternalCDOFeatureDelta
      extends CDOFeatureDelta

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Simon McDuff

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `InternalCDOFeatureDelta.ListIndexAffecting` If the meaning of this type isn't clear, there really should be more of a description here...
    `static interface` | `InternalCDOFeatureDelta.ListTargetAdding` If the meaning of this type isn't clear, there really should be more of a description here...
    `static interface` | `InternalCDOFeatureDelta.WithIndex` If the meaning of this type isn't clear, there really should be more of a description here...

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `CDOFeatureDelta.Type`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `NO_INDEX, UNKNOWN_VALUE`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

      `accept, apply, applyTo, copy, getFeature, getType, isStructurallyEqual`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html